#!/usr/bin/perl -w
#
# account/main.cgi
#
# Main program for allowing users on system to configure their
# full names and passwords.  Spits out a form which is then processed
# by umod.cgi.
#
# Copyright 1998 Corel Computer Corporation
#
# This is open-source software (see www.opensource.org).  Open Source(R)
# is a Registered Certification Mark of Software in the Public Interest.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as 
# published by the Free Software Foundation; either version 1,
# or, (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to the
# Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

use strict;
use CGI;
use CGI::Carp "fatalsToBrowser";
require '../common.pl';
require '../layout.pl';

my $q = new CGI;

die "Username unknown.  Cannot continue.\n"
unless defined $ENV{'REMOTE_USER'};

my @user = getpwnam($ENV{'REMOTE_USER'});
my @groups = users_group( $user[0] ) ;
my $member = join(", ", @groups );
my @shells = read_shells();

#Create a new user
print start_webfront("Edit user","user",2,($user[0] ne 'httpd') ? 0 : -1);

print $q->table({-border=>'0',-valign=>'top',-width=>560,-bgcolor=>'white',
	   -cellspacing=>'2',-cellpadding=>'0'},
 	$q->start_form(-method=>'post',
                       -action=>'/cgi-bin/corel/account/umod.cgi') .
        $q->Tr({-bgcolor=>'white'},
		$q->td({-colspan=>'2'},
                  $q->img({-src=>'/images/user/userdiaban.jpg'}))) .
	$q->Tr({-bgcolor=>'#E4E4E4'},
		$q->td('User name'), $q->td($q->i($user[0]))) .
	$q->Tr({-bgcolor=>'#E4E4E4'},$q->td('Real name') .
	       $q->td($q->input({-name=>'nam', -value=>"$user[6]"}))) .
	$q->Tr({-bgcolor=>'#E4E4E4'},$q->td('New password') .
	       $q->td($q->input({-type=>'password',-name=>'pw1'}))) .
	$q->Tr({-bgcolor=>'#E4E4E4'},$q->td('(confirmation)') .
	       $q->td($q->input({-type=>'password',-name=>'pw2'}))) .
	$q->Tr({-bgcolor=>'#E4E4E4'},$q->td('Home Directory') . $q->td("$user[7]")) .
	$q->Tr({-bgcolor=>'#E4E4E4'},$q->td('Shell') . $q->td("$user[8]")) .
	$q->Tr({-bgcolor=>'#E4E4E4'},$q->td('Groups') . $q->td("$member")) .
#	$q->Tr({-bgcolor=>'#E4E4E4'},$q->td('Disk quota') . $q->td('(unimplemented)')) .
#	$q->Tr({-bgcolor=>'#E4E4E4'},$q->td('Disk usage') . $q->td('(unavailable)'))

	$q->Tr($q->td({-colspan=>'2',-align=>'left'},
	  $q->input({-type=>'submit',-value=>'Make the changes'}))) .

	$q->end_form() );

print end_webfront();
