#!/usr/bin/perl -wT
#
# admin/confirm_udel.cgi
#
# Script to ask "are you sure" before removing a user from the system.
#
# Copyright 1998 Corel Computer Corporation
#
# This is open-source software (see www.opensource.org).  Open Source(R)
# is a Registered Certification Mark of Software in the Public Interest.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as 
# published by the Free Software Foundation; either version 1,
# or, (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to the
# Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

## This file will be modified to support the user* utilities
## when they have been ported to the Netwinder.

require '../layout.pl';
use CGI;
use CGI::Carp qw/fatalsToBrowser/;
BEGIN { $ENV{'PATH'} = '/bin:/usr/bin'; }

my @errors ;

push @errors, "Remote username could not be determined."
unless defined $ENV{'REMOTE_USER'};

my @user = getpwnam($ENV{'REMOTE_USER'}) or
push @errors, "User is not authorized for this service.";

push @errors, "You cannot delete the administrative user."
unless CGI::param('who') ne 'httpd' ;

# Check for errors, abort if any found.

if (@errors) {
  print start_webfront("Confirmation","admin",3,-1);
  print CGI::h1((($#errors > 0) ? "Errors have" : "An error has")." been detected");
  print CGI::ul(CGI::li(\@errors));
  print CGI::p(CGI::i('Go <A HREF="userlist.cgi">back</A> and try again.'));
  print end_webfront();
  exit(1);
}
my $q = new CGI;
my $string = $q->param('who');
print start_webfront("Confirmation","admin",3,-1);
print CGI::h1("Do you want to remove $string?");
print CGI::p("Click <A HREF=\"udel.cgi?who=$string\">here</A> to remove this user.");
print CGI::p('Click <A HREF="userlist.cgi">here</A> to cancel and return.');
print end_webfront();                 
 
