#!/usr/bin/perl -w
#
# admin/umain.cgi
#
# Display list of users with add/edit/remove buttons.
#
# Copyright 1998 Corel Computer Corporation
#
# This is open-source software (see www.opensource.org).  Open Source(R)
# is a Registered Certification Mark of Software in the Public Interest.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as 
# published by the Free Software Foundation; either version 1,
# or, (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to the
# Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

use strict;
use CGI;
use CGI::Carp "fatalsToBrowser";
require '../layout.pl';
require '../common.pl';

# Ensure that a known user is accessing the service

die "Username unknown.  Cannot continue.\n"
unless defined $ENV{'REMOTE_USER'};

# Fetch the CGI parameters, if any

my $q = new CGI;
my $newuser = 0;
my $userstring ;
my @user = ('','','','','','','','','');
if (defined $q->param('who')) {
  @user = getpwnam($q->param('who')) or die "Invalid user\n";
  $userstring = qq(<TR BGCOLOR="#E4E4E4"><TD WIDTH = "50%">User name</TD>
                   <TD WIDTH="50%">$user[0]</TD></TR>
                   <INPUT TYPE="hidden" NAME="login" VALUE="$user[0]">);
}
else #add a new user
{
  $newuser = 1;
  $userstring = qq(<TR BGCOLOR="#E4E4E4"><TD WIDTH="50%">User name</TD>
                   <TD WIDTH="50%"><INPUT NAME="login">
                   </TD></TR>);
}

# Get a list of groups on the system
my @usersgroup = users_group( $user[0] );
my %groups = read_group();
@usersgroup = sort ( keys %groups );

if ( $newuser eq 1 ) #Get a free UID
{
  $user[2] = find_free_uid();
}

my @shells = read_shells();

print start_webfront("Edit user","admin",3,-1);

print $q->start_form(-method=>'post',
                     -action=>'/cgi-bin/corel/admin/umod.cgi');
print '<IMG SRC="/images/admin/userdiaban.jpg"><BR>';
print $q->table({-border=>0,-width=>560,-bgcolor=>'white',-cellpadding=>'1'},
        $q->i($userstring),
        $q->hidden(-name=>'newuser',-value=>"$newuser"),
        $q->hidden(-name=>'uid',-value=>"$user[2]"),
        $q->Tr({-bgcolor=>'#E4E4E4'},$q->td({-width=>"50%"},'Real name') . 
	       $q->td($q->input({-name=>'nam',-value=>"$user[6]"}))),
	$q->Tr({-bgcolor=>'#E4E4E4'},$q->td('New password') .
	       $q->td($q->input({-type=>'password',-name=>'pw1'}))),
	$q->Tr({-bgcolor=>'#E4E4E4'},$q->td('(confirmation)') .
	       $q->td($q->input({-type=>'password',-name=>'pw2'}))),
        $q->Tr({-bgcolor=>'#E4E4E4'},$q->td('User ID') . $q->td("$user[2]")),
	$q->Tr({-bgcolor=>'#E4E4E4'},$q->td('Shell') . $q->td($q->popup_menu(-name=>'shell',
                                                        -Values=>\@shells,
                                                        -default=>"$user[8]"))),
#	$q->Tr({-bgcolor=>'#E4E4E4'},$q->td('Disk quota'),
#	       $q->td($q->input({-name=>'login',-value=>'(unimplemented)'))) .
#	$q->Tr({-bgcolor=>'#E4E4E4'},$q->td('Primary group') . $q->td($q->i($group)))
 );

print $q->input({-type=>'submit',-value=>'Make the changes'});

print end_webfront();
