#!/usr/bin/perl -w
#
# echo.cgi
#
# Simple test script that returns its parameters as nicely-formatted
# HTML code.  Usefull for debugging CGI-script problems.
#
# Copyright 1998 Corel Computer Corporation
#
# This is open-source software (see www.opensource.org).  Open Source(R)
# is a Registered Certification Mark of Software in the Public Interest.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as 
# published by the Free Software Foundation; either version 1,
# or, (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to the
# Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.


use CGI;
use strict;

my $q = new CGI;

print $q->header(), $q->start_html(-bgcolor=>'#ffffff');

# Print out the CGI parameters passed to the script
print $q->h1('CGI Parameters');
if ($q->param()) {
  print $q->dump();
} else {
  print $q->p('No variables were passed');
}

print $q->h1('Environment variables:')."\n";
print $q->ul(map $q->li("$_ = $ENV{$_}")."\n", sort keys %ENV);

# Here is another way to achieve the same thing:
#@vars = map "$_ = $ENV{$_}", sort keys %ENV;
#print $q->ul($q->li(\@vars));

# If we wanted the output as tables:
#print $q->table({-border=>1}, $q->th('Variable'), $q->th('Value'),
#  map $q->Tr($q->td($_), $q->td($ENV{$_})), sort keys %ENV);

print $q->h1('Working dir');
print $q->p("PWD = " . `pwd`) . $q->pre(`ls -l`);

print $q->end_html();
